namespace PARR.API.Contracts.V1.Responses.Base
{
    public class BaseResponse
    {
        public BaseResponse() { }

        public BaseResponse(bool isSuccess)
        {
            IsSuccess = isSuccess;
        }

        public BaseResponse(bool isSuccess, List<ErrorModel> errors)
        {
            IsSuccess = isSuccess;
            Errors = errors;
        }

        public BaseResponse(bool isSuccess, List<ErrorModel> errors, string message)
        {
            IsSuccess = isSuccess;
            Errors = errors;
            Message = message;
        }

        public List<ErrorModel> Errors { get; set; } = new List<ErrorModel>();
        public bool IsSuccess { get; private set; }
        public string? Message { get; private set; }
    }
}
